<q-layout view="hHh lpR fFf" :class="'bg-'+currentMenu.toLowerCase()">
  <div class="landing__space fixed"></div>
  <q-drawer
    v-model="leftDrawerOpen"
    show-if-above
    bordered
    class="bg-transparent"
    content-class="bg-transparent"
    :width="60"
  >
    <q-scroll-area class="fit">
      <q-list>
        <q-item style="background-color: darkgoldenrod;">
          <q-img
            :src="require('assets/logo.png')"
            spinner-color="white"
            style="filter: invert(1)"
          />
        </q-item>
        <q-item
          v-for="link in links1"
          :key="link.text"
          v-ripple
          clickable
          @click="$router.push(link.path).catch(err => {})"
        >
          <q-item-section avatar>
            <q-icon
              :class="{currentMenu: currentMenu == link.text }"
              color="white"
              :name="link.icon"
            />
          </q-item-section>
          <q-tooltip
            anchor="center right"
            self="center left"
            content-class="bg-amber text-white shadow-4"
            :offset="[10, 10]"
          >
            {{ link.text }}
          </q-tooltip>
        </q-item>

        <q-separator class="q-my-md" />

        <q-item v-for="link in links2" :key="link.text" v-ripple clickable>
          <q-item-section avatar>
            <q-icon color="white" :name="link.icon" />
          </q-item-section>
          <q-item-section>
            <q-item-label color="white">{{ link.text }}</q-item-label>
          </q-item-section>
        </q-item>
        <q-separator class="q-mt-md q-mb-xs" />
      </q-list>
    </q-scroll-area>
  </q-drawer>

  <q-page-container>
    <router-view />
  </q-page-container>

  <!-- <q-footer bordered class="bg-portfolio text-caption text-white q-pa-md">
        <div v-html="copyright"></div>
    </q-footer> -->
</q-layout>
